commit:     30b923fb409a4f352186ccf1bbb02ea5c5a161b7
Author:     Zoltan Puskas <zoltan <AT> sinustrom <DOT> info>
AuthorDate: Mon Mar  7 08:45:21 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Mon Mar  7 09:01:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=30b923fb

sci-electronics/kicad: Bump to version 4.0.2

Gentoo-Bug: #574692

Package-Manager: portage-2.2.27

 sci-electronics/kicad/Manifest           |   3 +
 sci-electronics/kicad/kicad-4.0.2.ebuild | 185 +++++++++++++++++++++++++++++++
 2 files changed, 188 insertions(+)

diff --git a/sci-electronics/kicad/Manifest b/sci-electronics/kicad/Manifest
index 4fb1699..df08c95 100644
--- a/sci-electronics/kicad/Manifest
+++ b/sci-electronics/kicad/Manifest
@@ -10,3 +10,6 @@ DIST kicad-4.0.0_rc2-library.tar.gz 105100251 SHA256 
bed03fd9beacb509c4087c17e69
 DIST kicad-4.0.1-i18n.tar.gz 2273300 SHA256 
646f2f394046543be9fd57b2b5fc01f1869b4879958fc13a29f60b3502b7ca30 SHA512 
56c87f94bb8c3a1f92dee6a5d88fe0a7d6778110cf1fbd019e7481fa89d0d3df447eb90d49f7621dd7006a4e23ce16f752eeba368057d4d970e280c77e22cc25
 WHIRLPOOL 
3a592d6c59da763dd554ebf85f9d627da58fb6ca38c435712742e0e58ab60bb59ec6c6b5757e651c7c1656ea23153237d236d680a3f3276ef1e1d4b29b24f413
 DIST kicad-4.0.1-library.tar.gz 105054096 SHA256 
4d1ec105a422a0130be02f4d712d5c22ab223a7963f2b98e75b6847254269e46 SHA512 
88b9d31230ac85e4b4341b0b2194d6fc622c03d62e80c65d82d999e02324d902ce90881fd5592bde9e8c2695370cb0c35e8e4473f640d1a25eddf453637b6b6f
 WHIRLPOOL 
50cce4a0147982f8693009833831a3876c987ea24be938ed51a39d823935d424fbe7940b6f7565c42a318b4e71c24c31f8b0fcbfd5e63db247856312a775001b
 DIST kicad-4.0.1.tar.xz 10837804 SHA256 
73a9f8713ba93ce34e5f9c26e9667f33a22f4e33192fa6bd15d3fc0edea54bde SHA512 
da9d5ba7f6a323d80621304e368c9783febedf7c545f31a6ca69bddc8573e7c7aa127c774cc29e173eae947debd444b5a04b0483800d6c0d1303e32a714e3d26
 WHIRLPOOL 
0985d7b38df1224787b0509407f34043d71f4eac847486bf4633cacb9c3bc32df9590c0516e3189e4b0f5ba17fde93ead467e200e95ecb763f7054cc1baac107
+DIST kicad-4.0.2-i18n.tar.gz 2290139 SHA256 
05a9a5b1c9a2aa0e0712171c5e71cc3b74c43254a7d5fdd3d3c76e32ff927bea SHA512 
2021706d0e96f6a82b57b8f187b703f37c32ee6efb99323ec191de141c2bfc89b590949cdbf2eea6cc618afc84bbac9fae758fdbb088aed3ab06649279bcab21
 WHIRLPOOL 
0797d587ed4009bc9be6aac0b19f2cd0581e497f074e6cfd33adff6a44b68c215c06c084d8221a57a0f39e228d70e9760bf368770d2bc7bd361be1688a65ab9b
+DIST kicad-4.0.2-library.tar.gz 105106185 SHA256 
0499da0fa617248a4196e50ff65c0bf78cb456bf1ca4bd6c72d956044b310bef SHA512 
14f7136ded81f54fcccbb4555f77b0079d637a08b15b2fd60b729226dbc5adfb5fe7489060ba1d3b949ca1d94d95623df28cceac93ee600165598d9fd78711e7
 WHIRLPOOL 
c5080ad602684ccdb60493745714398027af2ba09b4a2187740b89fcac923941adda80c744a12338d8c6eda07763fdae12428a8c9d06379a637e3e0ee881bef1
+DIST kicad-4.0.2.tar.xz 10841200 SHA256 
2eae6986843a29862ab399a30b50454582d22f58ed3f53eb50d0c85e5d488eb9 SHA512 
b0817cca7b8d0216507d78c602d332deaf2a68528b129309067b01e254c6600af5513dea7f44570beb4a339bc044ef7966890a91aeda6fd5a95515657cd1628a
 WHIRLPOOL 
7ae9b072addeea8cc3d6daa69b8f19d077604f0ec5d1e5dfed53efe6b0a32f6b12c1156c2f52092a859d9f716cab83d16b17b0e3abbc0c72a2bafacb3be27719

diff --git a/sci-electronics/kicad/kicad-4.0.2.ebuild 
b/sci-electronics/kicad/kicad-4.0.2.ebuild
new file mode 100644
index 0000000..7ee1b62
--- /dev/null
+++ b/sci-electronics/kicad/kicad-4.0.2.ebuild
@@ -0,0 +1,185 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_COMPAT=( python2_7 )
+
+WX_GTK_VER="3.0"
+
+inherit cmake-utils fdo-mime flag-o-matic gnome2-utils python-single-r1 
vcs-snapshot wxwidgets versionator
+
+DESCRIPTION="Electronic Schematic and PCB design tools."
+HOMEPAGE="http://www.kicad-pcb.org";
+
+SERIES=$(get_version_component_range 1-2)
+
+SRC_URI="https://launchpad.net/${PN}/${SERIES}/${PV}/+download/${P}.tar.xz
+       !minimal? ( https://github.com/KiCad/${PN}-library/archive/${PV}.tar.gz 
-> ${P}-library.tar.gz )
+       i18n? ( https://github.com/KiCad/${PN}-i18n/archive/${PV}.tar.gz -> 
${P}-i18n.tar.gz )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc examples github i18n minimal python webkit"
+LANGS="bg ca cs de el es fi fr hu it ja ko nl pl pt ru sk sl sv zh_CN"
+for lang in ${LANGS} ; do
+       IUSE="${IUSE} linguas_${lang}"
+done
+unset lang
+
+REQUIRED_USE="
+       github? ( webkit )
+       python? ( ${PYTHON_REQUIRED_USE} )"
+
+CDEPEND="x11-libs/wxGTK:${WX_GTK_VER}[X,opengl,webkit?]
+       python? (
+               dev-python/wxpython:${WX_GTK_VER}[opengl,${PYTHON_USEDEP}]
+               ${PYTHON_DEPS}
+       )
+       >=dev-libs/boost-1.56[context,nls,threads,python?]
+       github? ( dev-libs/openssl:0 )
+       media-libs/glew
+       media-libs/freeglut
+       media-libs/mesa
+       sys-libs/zlib
+       x11-libs/cairo"
+DEPEND="${CDEPEND}
+       app-arch/xz-utils
+       doc? ( app-doc/doxygen )
+       i18n? ( >=sys-devel/gettext-0.18 )
+       python? ( dev-lang/swig:0 )
+       app-text/dos2unix"
+RDEPEND="${CDEPEND}
+       sci-electronics/electronics-menu"
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       # remove all the non unix file endings
+       find "${S}" -type f -name "*.desktop" | xargs -n1 dos2unix
+       assert "dos2unix failed"
+
+       # Handle optional minimal install.
+       if use minimal; then
+               # remove templates as they are not needed to run binaries
+               sed -e '/add_subdirectory( template )/d' -i CMakeLists.txt || 
die "sed failed"
+       else
+               # create a link to the parts library in the main project folder
+               ln -s "${WORKDIR}/${P}-library" "${S}/${PN}-library" || die "ln 
failed"
+               # add the libraries directory to cmake as a subproject to build
+               sed "/add_subdirectory( bitmaps_png )/a add_subdirectory( 
${PN}-library )" -i CMakeLists.txt || die "sed failed"
+               # remove duplicate uninstall directions for the library module
+               sed '/make uninstall/,/# /d' -i ${PN}-library/CMakeLists.txt || 
die "sed failed"
+       fi
+
+       # Add internationalization for the GUI
+       if use i18n; then
+               # create a link to the translations library in the main project 
folder
+               ln -s "${WORKDIR}/${P}-i18n" "${S}/${PN}-i18n" || die "ln 
failed"
+               # Remove unused languages. Project generates only languages 
specified in the
+               # file in LINGUAS in the subproject folder. By default all 
languages are added
+               # so we sed out the unused ones based on the user linguas_* 
settings.
+               local lang
+               for lang in ${LANGS}; do
+                       if ! use linguas_${lang}; then
+                               sed "/${lang}/d" -i ${PN}-i18n/LINGUAS || die 
"sed failed"
+                       fi
+               done
+               # cmakelists does not respect our build dir variables, so make 
it point to the right location
+               sed "s|\${CMAKE_BINARY_DIR}|${WORKDIR}/${P}_build|g" -i 
${PN}-i18n/CMakeLists.txt || die "sed failed"
+               # we also make from the master project so the source dir is 
understood incorretly, replace that too 
+               sed 
"s|\${CMAKE_SOURCE_DIR}/\${LANG}|\${CMAKE_SOURCE_DIR}/${PN}-i18n/\${LANG}|g" -i 
${PN}-i18n/CMakeLists.txt || die "sed failed"
+               # add the translations directory to cmake as a subproject to 
build
+               sed "/add_subdirectory( bitmaps_png )/a add_subdirectory( 
${PN}-i18n )" -i CMakeLists.txt || die "sed failed"
+               # remove duplicate uninstall directions for the translation 
module
+               sed '/make uninstall/,$d' -i ${PN}-i18n/CMakeLists.txt || die 
"sed failed"
+       fi
+
+       # Install examples in the right place if requested
+       if use examples; then
+               # install demos into the examples folder too
+               sed -e 's:${KICAD_DATA}/demos:${KICAD_DOCS}/examples:' -i 
CMakeLists.txt || die "sed failed"
+       else
+               # remove additional demos/examples as its not strictly required 
to run the binaries 
+               sed -e '/add_subdirectory( demos )/d' -i CMakeLists.txt || die 
"sed failed"
+       fi
+
+       # Add important missing doc files
+       sed -e 's/INSTALL.txt/AUTHORS.txt CHANGELOG.txt README.txt TODO.txt/' 
-i CMakeLists.txt || die "sed failed"
+}
+
+src_configure() {
+       need-wxwidgets unicode
+
+       local mycmakeargs=(
+               -DPYTHON_DEST="$(python_get_sitedir)"
+               -DPYTHON_EXECUTABLE="${PYTHON}"
+               -DPYTHON_INCLUDE_DIR="$(python_get_includedir)"
+               -DPYTHON_LIBRARY="$(python_get_library_path)"
+               -DKICAD_DOCS="/usr/share/doc/${PF}"
+               -DKICAD_HELP="/usr/share/doc/${PF}/help"
+               -DKICAD_REPO_NAME="stable"
+               -DKICAD_BUILD_VERSION="${PV}"
+               -DwxUSE_UNICODE=ON
+               -DKICAD_SKIP_BOOST=ON
+               $(cmake-utils_use github BUILD_GITHUB_PLUGIN)
+               $(cmake-utils_use python KICAD_SCRIPTING)
+               $(cmake-utils_use python KICAD_SCRIPTING_MODULES)
+               $(cmake-utils_use python KICAD_SCRIPTING_WXPYTHON)
+               $(cmake-utils_use webkit KICAD_USE_WEBKIT)
+               $(usex i18n "-DKICAD_I18N_UNIX_STRICT_PATH=1" "")
+       )
+       if use debug; then
+               append-cxxflags "-DDEBUG"
+               append-cflags "-DDEBUG"
+       fi
+       cmake-utils_src_configure
+}
+
+src_compile() {
+       cmake-utils_src_compile
+       if use doc; then
+               doxygen Doxyfile || die "doxygen failed"
+       fi
+}
+
+src_install() {
+       cmake-utils_src_install
+       use python && python_optimize
+       if use doc ; then
+               dodoc uncrustify.cfg
+               cd Documentation || die "cd failed"
+               dodoc -r GUI_Translation_HOWTO.pdf guidelines/UIpolicies.txt 
doxygen/.
+       fi
+}
+
+pkg_preinst() {
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       fdo-mime_desktop_database_update
+       fdo-mime_mime_database_update
+       gnome2_icon_cache_update
+
+       if use minimal ; then
+               ewarn "If the schematic and/or board editors complain about 
missing libraries when you"
+               ewarn "open old projects, you will have to take one or more of 
the following actions :"
+               ewarn "- Install the missing libraries manually."
+               ewarn "- Remove the libraries from the 'Libs and Dir' 
preferences."
+               ewarn "- Fix the libraries' locations in the 'Libs and Dir' 
preferences."
+               ewarn "- Emerge ${PN} without the 'minimal' USE flag."
+       fi
+       elog ""
+       elog "You may want to emerge media-gfx/wings if you want to create 3D 
models of components."
+       elog "For help and extended documentation emerge app-doc/kicad-doc."
+}
+
+pkg_postrm() {
+       fdo-mime_desktop_database_update
+       fdo-mime_mime_database_update
+       gnome2_icon_cache_update
+}

Reply via email to